Spigot Recipedia 2.1140

Recipes plugin with cool features like search by name, localization, inverse recipes, and more

  1. atesin submitted a new resource:

    Recipedia - Recipes plugin with cool features like search by name, localization, inverse recipes, and more

    Read more about this resource...
     
  2. Not sure whats up ... getting this error when I try to install on my 1.15 spigot server:

    [05:48:55] [Server thread/ERROR]: Error occurred while enabling Recipedia v2.114 (Is it up to date?)
    java.lang.ClassCastException: org.bukkit.inventory.RecipeChoice$ExactChoice cannot be cast to org.bukkit.inventory.RecipeChoice$MaterialChoice
    at cl.netgamer.recipedia.RecipeBook.<init>(RecipeBook.java:58) ~[?:?]
    at cl.netgamer.recipedia.Main.onEnable(Main.java:57) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[spigotmc-1.15.jar:git-Spigot-f39a89e-4633e6c]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:352) [spigotmc-1.15.jar:git-Spigot-f39a89e-4633e6c]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:417) [spigotmc-1.15.jar:git-Spigot-f39a89e-4633e6c]
    at org.bukkit.craftbukkit.v1_15_R1.CraftServer.enablePlugin(CraftServer.java:462) [spigotmc-1.15.jar:git-Spigot-f39a89e-4633e6c]
    at org.bukkit.craftbukkit.v1_15_R1.CraftServer.enablePlugins(CraftServer.java:376) [spigotmc-1.15.jar:git-Spigot-f39a89e-4633e6c]
    at net.minecraft.server.v1_15_R1.MinecraftServer.a(MinecraftServer.java:456) [spigotmc-1.15.jar:git-Spigot-f39a89e-4633e6c]
    at net.minecraft.server.v1_15_R1.DedicatedServer.init(DedicatedServer.java:266) [spigotmc-1.15.jar:git-Spigot-f39a89e-4633e6c]
    at net.minecraft.server.v1_15_R1.MinecraftServer.run(MinecraftServer.java:783) [spigotmc-1.15.jar:git-Spigot-f39a89e-4633e6c]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_242]

    -ams
     
  3. Ahh, I need Java11+ ... the host I am using does not let me change the Java version I am using ... posting for others in case they have the same type of error message...
    -ams
     
  4. i wrote against java8 ... i will update requirements
     
  5. Appears to be incompatible with 1.16.2, sadly, was hoping it would just work like a lot of others

    Code (Text):

    [03:44:35 INFO]: [Recipedia] Enabling Recipedia v2.114
    [03:44:35 ERROR]: Error occurred while enabling Recipedia v2.114 (Is it up to date?)
    java.lang.ClassCastException: class org.bukkit.inventory.RecipeChoice$ExactChoice cannot be cast to class org.bukkit.inventory.RecipeChoice$MaterialChoice (org.bukkit.inventory.RecipeChoice$ExactChoice and org.bukkit.inventory.RecipeChoice$MaterialChoice are in unnamed module of loader 'app')
            at cl.netgamer.recipedia.RecipeBook.<init>(RecipeBook.java:58) ~[?:?]
            at cl.netgamer.recipedia.Main.onEnable(Main.java:57) ~[?:?]
            at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[patched_1.16.2.jar:git-Paper-148]
            at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:380) ~[patched_1.16.2.jar:git-Paper-148]
            at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:483) ~[patched_1.16.2.jar:git-Paper-148]
            at org.bukkit.craftbukkit.v1_16_R2.CraftServer.enablePlugin(CraftServer.java:499) ~[patched_1.16.2.jar:git-Paper-148]
            at org.bukkit.craftbukkit.v1_16_R2.CraftServer.enablePlugins(CraftServer.java:413) ~[patched_1.16.2.jar:git-Paper-148]
            at net.minecraft.server.v1_16_R2.MinecraftServer.loadWorld(MinecraftServer.java:468) ~[patched_1.16.2.jar:git-Paper-148]
            at net.minecraft.server.v1_16_R2.DedicatedServer.init(DedicatedServer.java:241) ~[patched_1.16.2.jar:git-Paper-148]
            at net.minecraft.server.v1_16_R2.MinecraftServer.w(MinecraftServer.java:939) ~[patched_1.16.2.jar:git-Paper-148]
            at net.minecraft.server.v1_16_R2.MinecraftServer.lambda$a$0(MinecraftServer.java:177) ~[patched_1.16.2.jar:git-Paper-148]
            at java.lang.Thread.run(Thread.java:834) [?:?]
    [03:44:35 INFO]: [Recipedia] Disabling Recipedia v2.114
     
    It does however run on 1.15.2 (paper-379) with Java 11, but it not working on 1.16.2 and higher is kind of a bummer.
     
    #5 iCaitlyn, Sep 9, 2020
    Last edited: Sep 9, 2020
  6. Hey there @atesin, the plugin looks pretty good, but the images on the thread don't seem to be working. Good luck!